package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class LogLogin {
    /*
    登录日志编号
     */
    private Integer loginId;
    /*
    登录用户编号
     */
    private Integer userId;
    /*
    登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date loginDate;
    /*
    登录详情
     */
    private String loginShow;

}
