package com.bwie.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Parking {
    /*
    停车场编号
     */
    private Integer parkingId;
    /*
    停车场名称
     */
    private String parkingName;
    /*
    停车场地址
     */
    private String parkingAddress;
    /*
    车位状态(空: 1, 已预约: 2, 无: 3)
     */
    private Integer parkingState;



}
