package com.bwie.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class User {
    /*
    用户编号
     */
    private Integer userId;
    /*
    用户姓名
     */
    private String userName;
    /*
    用户性别
     */
    private String userSex;
    /*
    手机号
     */
    private String userPhone;
    /*
    头像
     */
    private String userImg;
    /*
    用户角色(管理员: 1, 普通用户: 2)
    管理员可以查看停车位数,停车缴费是否正确,调整停车位金额等等
    普通用户可以缴纳停车费, 预定车位等
     */
    private Integer userRole;
}
