package com.bwie.list.mapper;

import com.bwie.common.pojo.Car;
import com.bwie.common.pojo.DTO.DTOStop;
import com.bwie.common.pojo.Stop;
import com.bwie.common.pojo.vo.VOStop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface StopMapper {
    Car findCarId(VOStop voStop);

    DTOStop findStartDate(@Param("carNum") String carNum);

    Integer updateTime(Stop stop);

    void addPay(@Param("userId") Integer userId, @Param("stopId") Integer stopId);
}
