//package com.bwie.mq.consumer;
//
//import cn.hutool.core.util.RandomUtil;
//import com.bwie.common.domain.request.UserLogin;
//import com.bwie.mq.utils.MsgUtil;
//import com.rabbitmq.client.Channel;
//import lombok.extern.log4j.Log4j2;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.core.MessageProperties;
//import org.springframework.amqp.rabbit.annotation.RabbitHandler;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//
//import java.io.IOException;
//import java.util.Random;
//
///**
// * @author FangShiBa
// * @date 2023/11/26
// * @apiNote
// */
//@Log4j2
//@Component
//@RabbitListener(queues = "sendQueue")
//public class SendMsgConsumer {
//
//    @Autowired
//    private RedisTemplate<String,String> redisTemplate;
//    @Autowired
//    private MsgUtil msgUtil;
//
//
//    @RabbitHandler
//    public void sendMsg(UserLogin userLogin, Channel channel, Message message) throws Exception {
//        //日志打印接收参数
//        log.info("获取到的消息对象为:{},{}",
//                userLogin.getUserPhone(),message.getMessageProperties().getDeliveryTag());
//        long deliveryTag = message.getMessageProperties().getDeliveryTag();
//        String messageId = message.getMessageProperties().getMessageId();
//        if(!redisTemplate.hasKey(messageId)){
//            redisTemplate.opsForValue().set(messageId,deliveryTag+"");
//        }
//        Long add = redisTemplate.opsForSet().add(messageId, messageId);
//        if(add<=0){
//            System.out.println("重复消费");
//            channel.basicReject(deliveryTag,false);
//        }
//        try {
//                String code = RandomUtil.randomNumbers(4);
//                msgUtil.sendMsg(userLogin.getUserPhone(),code);
//                redisTemplate.opsForSet().add(messageId, messageId);
//                channel.basicAck(deliveryTag,false);
//        } catch (Exception e) {
//            System.out.println("消息没有成功消费");
//            String s = redisTemplate.opsForValue().get(messageId);
//
//            long l = Long.parseLong(s);
//            if(deliveryTag==(l+2)){
//                System.out.println("确实消费不了 不入队了");
//                channel.basicNack(deliveryTag,false,false);
//            }else {
//                System.out.println("消息在此入队了");
//                channel.basicNack(deliveryTag,false,true);
//            }
//        }
//    }
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//}
